#include <bits/stdc++.h>
using namespace std;
long long Konflikt(int N,int M,int *A,int *B){
    int fina = 100000000 , res = 0 , br;
    for(int j = 0; j<M; j++){
        for(int i = 0; i<N; i++){
            res = 0;
            for(int ii = 1; ii<=N; ii++){
                br = (i+ii)%N;
                if(br == 0)br = N;
                res += min(abs((A[br] + j)%M - B[ii]) , M - abs((A[br] + j)%M - B[ii]));
            }
            fina = min(fina , res);
        }
    }
    return fina;

}